const { Sequelize } = require("sequelize");

module.exports = (sequelize) => {
  const Benchmark = sequelize.define('Benchmark', {
    name: {
      type: Sequelize.STRING,
      null: false,
    },
    description: {
      type: Sequelize.TEXT,
    },
    scoring: {
      type: Sequelize.STRING,
      null: false,
    },
  },
  {
    tableName: 'benchmarks'
  });
  return Benchmark;
};
